<template>
    <div   id="myModal" class="modal fade" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title">Player General Details</h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
              <p>Team Code: {{ dataComponentModalShowData.team_code }}</p>
              <p>Number: {{ dataComponentModalShowData.number }}</p>
              <p>Name: {{ dataComponentModalShowData.name }}</p>
              <p>POS: {{ dataComponentModalShowData.pos }}</p>
              <p>Height: {{ dataComponentModalShowData.height }}</p>
              <p>Weight: {{ dataComponentModalShowData.weight }}</p>
              <p>DOB: {{ dataComponentModalShowData.dob }}</p>
              <p>Nationality: {{ dataComponentModalShowData.nationality }}</p>
              <p>Year Exp: {{ dataComponentModalShowData.years_exp }}</p>
              <p>College: {{ dataComponentModalShowData.college }}</p>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-secondary" @click="close">Close</button>
            </div>
          </div>
        </div>
      </div>
</template>
<script>
    export default {
      props: [
        'dataComponentModalShowData'
      ],
        data(){
           return {

           }
        },
        mounted(){
          $(document).ready(function(){
              $("#myModal").modal('show');
          });  
        },
        methods: {
          close(){
                document.location = '/';
            }
        }
    }
</script>